Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 236158 - Review Request: wise2 - Bioinformatics tools for comparison of biopolymers
Summary: Review Request: wise2 - Bioinformatics tools for comparison of biopolymers
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-12 05:54 UTC by Alex Lancaster
Modified: 2015-02-16 14:18 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-24 05:50:14 UTC
panemade: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Alex Lancaster 2007-04-12 05:54:58 UTC
Spec URL: http://allele5.biol.berkeley.edu/~alex/fedora/wise2.spec
SRPM URL: http://allele5.biol.berkeley.edu/~alex/fedora/wise2-2.2.0-1.src.rpm
Description: 
Wise2 is a package focused on comparisons of biopolymers, commonly DNA
sequence and protein sequence.  A strength of Wise2 is the
comparison of DNA sequence at the level of its protein
translation. This comparison allows the simultaneous prediction of
gene structure with homology based alignment.

Parts of the code are licensed under a BSD-style license, the rest is under the GPL making the aggregate work GPL.

Comment 1 Ralf Corsepius 2007-04-12 07:07:31 UTC
+ make CC=gcc all
(cd base   ; make CC="gcc" CFLAGS="-c -O " libwisebase.a )
make[1]: Entering directory `/users/packman/src/rpms/BUILD/wise2.2.0/src/base'
gcc -c -O  wiseconfig.c
gcc -c -O  wisestring.c

=> package doesn't honour RPM_OPT_FLAGS

Comment 2 Alex Lancaster 2007-04-12 08:56:39 UTC
* Mon Apr 12 2007 Alex Lancaster <alexl@users.sourceforge.net> 2.2.0-2
- Pass $RPM_OPT_FLAGS to compiler as per suggestion from Ralf Corsepius.

Spec URL: http://allele5.biol.berkeley.edu/~alex/fedora/wise2.spec
SRPM URL: http://allele5.biol.berkeley.edu/~alex/fedora/wise2-2.2.0-2.src.rpm


+ make CC=gcc 'CFLAGS=-c -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions
-fstack-protector --param=ssp-buffer-size=4 -m32 -march=i386 -mtune=generic
-fasynchronous-unwind-tables' all
(cd base   ; make CC="gcc" CFLAGS="-c -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2
-fexceptions -fstack-protector --param=ssp-buffer-size=4 -m32 -march=i386
-mtune=generic -fasynchronous-unwind-tables" libwisebase.a )

Comment 3 Parag AN(पराग) 2007-04-23 11:24:35 UTC
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
0584240f77885e37528e99e64535ab60  wise2.2.0.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Provides: config(wise2) = 2.2.0-2.fc7
+ Requires: config(wise2) = 2.2.0-2.fc7 libc.so.6 libc.so.6(GLIBC_2.0)
libc.so.6(GLIBC_2.1) libc.so.6(GLIBC_2.3) libc.so.6(GLIBC_2.3.4)
libc.so.6(GLIBC_2.4) libm.so.6 libm.so.6(GLIBC_2.0) rtld(GNU_HASH)

APPROVED.


Comment 4 Alex Lancaster 2007-04-23 11:33:37 UTC
New Package CVS Request
=======================
Package Name: wise2
Short Description: Bioinformatics tools for comparison of biopolymers
Owners: alexl@users.sourceforge.net
Branches: FC-5 FC-6
InitialCC: 

Comment 5 Alex Lancaster 2007-04-24 05:50:14 UTC
Builds fine in all branches.  Closing.

Comment 6 Dominik 'Rathann' Mierzejewski 2015-02-15 17:04:40 UTC
Package Change Request
======================
Package Name: wise2
New Branches: el6 epel7
Owners: rathann

Comment 7 Gwyn Ciesla 2015-02-16 14:18:23 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.